
Redmine - Defect #14976

authentication required configurable

2013-09-24 13:59 - Huang Ruhua

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

when authentication required option is checked, all url required logined. but i expect some url is accessible to anonymous users, like

'/attachments/download/3029/picture431-1.png', or else these image can't be displayed in email

History

#1 - 2013-10-01 10:46 - Toshi MARUYAMA

- Category set to Accounts / authentication

#2 - 2014-01-20 16:07 - Huang Ruhua

when can fix this issue?

#3 - 2024-01-30 01:35 - Go MAEDA

I think that anonymous users should not be able to view any attachments.

#4 - 2024-04-02 20:00 - Holger Just

- Status changed from New to Closed

- Resolution set to Wont fix

Attachments are protected data and thus must not be publicly available without authentication. This is ensured by Redmine's authorization rules. If

this would not be the case, we would consider it a high-severity security issue.

In general, the visibility of attachments is governed by their attached objects (i.e. issues in this case), so that the attachment is visible if the issue is

visible to the current user. Thus, users can download attachments if the issue itself is publicly available (i.e. is in a public project in a Redmine which

does not enforce authentication) or if the user is logged into Redmine from their current browser / mail client.
